Ubuntu

intel_rng: FWH not detected

Reported by hardyn on 2007-04-04
94
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Ubuntu
Undecided
Unassigned
linux (Ubuntu)
Low
Unassigned
linux-source-2.6.20 (Ubuntu)
Medium
Unassigned
linux-source-2.6.22 (Ubuntu)
Low
Unassigned

Bug Description

Feisty beta w/ latest updates, 'intel_rng: FWH not detected' error on boot, problem is coupled with extremely long delay while 'configuring network interfaces' 1-2 min.
i dont know if the problems are related.

Asus Z71vp, PM, intel 2915 wireless, marvell yukon

** edit **

04/27/07
same problem persists with feisty released

André Barmasse (barmassus) wrote :

This bug is confirmed with the Feisty Fawn Beta on my Sony Vaio VGN-FS195VP with an built in Intel PRO/Wireless 2200BG switched off during boot up. Here is the important part of the dmesg output:

[ 28.456000] intel_rng: FWH not detected
[ 28.820000] iTCO_vendor_support: vendor-support=0
[ 28.872000] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.01 (11-Nov-2006)
[ 28.872000] iTCO_wdt: failed to reset NO_REBOOT flag, reboot disabled by hardware
[ 28.872000] iTCO_wdt: No card detected

So - in my opinion - there seem to be two different causes for these messages: the first one is that the intel kernel driver does somehow not detect his own firmware hub (FWH), and the second one is that watchdog does not yet support the Intel TCO. Let aside the annoying kernel messages, there is a major boot up interruption involved with watchdog looking for the Intel hardware (sometimes up to one or two minutes).

One simple solution to this problem is to put intel_rng - and eventually also iTCO_wdt - into the blacklist (/etc/modprobe.d/blacklist), but this disables both modules (and has not been personally tested). Another way is to edit the init file for the network (/etc/rcS.d/S40networking) and comment out the following the lines:

case "$1" in
start)
 log_action_begin_msg "Configuring network interfaces"
        type usplash_write >/dev/null 2>/dev/null && usplash_write "TIMEOUT 120" || true
# if [ "$VERBOSE" != no ]; then
# if ifup -a; then
# log_action_end_msg $?
# else
# log_action_end_msg $?
# fi
# else
# if ifup -a >/dev/null 2>&1; then
# log_action_end_msg $?
# else
# log_action_end_msg $?
# fi
# fi
        type usplash_write >/dev/null 2>/dev/null && usplash_write "TIMEOUT 15" || true
 ;;

stop)

These are just work arounds, and I hope that this bug will be solved soon.Good luck!

ASF (antonio-fonseca) wrote :

The same 'intel_rng: FWH not detected' error on boot happens on my system (a Dell Latitude D610 notebook).

But besides the error message everything seems to work normally. Here is a part of my dmesg output:

[ 14.872000] tg3: eth0: Link is up at 100 Mbps, full duplex.
[ 14.872000] tg3: eth0: Flow control is off for TX and off for RX.
[ 14.876000] intel_rng: FWH not detected <--- error
[ 14.920000] ieee80211: 802.11 data/management/control stack, git-1.1.13
[ 14.920000] ieee80211: Copyright (C) 2004-2005 Intel Corporation <email address hidden>
[ 14.956000] Linux agpgart interface v0.102 (c) Dave Jones
[ 14.956000] agpgart: Detected an Intel 915GM Chipset.
[ 14.956000] agpgart: Detected 7932K stolen memory.
[ 14.976000] agpgart: AGP aperture is 256M @ 0xc0000000
[ 14.984000] input: PC Speaker as /class/input/input2
[ 15.032000] ipw2200: Intel(R) PRO/Wireless 2200/2915 Network Driver, 1.2.0kmprq
[ 15.032000] ipw2200: Copyright(c) 2003-2006 Intel Corporation

Ayan (ayanm) wrote :

I confirm the bug too! I am using DELL inspiron 1150. Here is the relevent portion of the dmesg.

[ 22.140000] ieee80211_crypt: registered algorithm 'NULL'
[ 22.164000] input: SynPS/2 Synaptics TouchPad as /class/input/input3
[ 22.164000] iTCO_wdt: Found a ICH4-M TCO device (Version=1, TCOBASE=0x0860)
[ 22.168000] iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
[ 22.168000] input: PC Speaker as /class/input/input4
[ 22.172000] 2:1:1: cannot get freq at ep 0x1
[ 22.208000] usbcore: registered new interface driver snd-usb-audio
[ 22.212000] ieee80211: 802.11 data/management/control stack, git-1.1.13
[ 22.212000] ieee80211: Copyright (C) 2004-2005 Intel Corporation <jketreno@li
nux.intel.com>
[ 22.216000] intel_rng: FWH not detected
[ 22.236000] ACPI: PCI Interrupt 0000:00:1f.5[B] -> Link [LNKB] -> GSI 7 (leve
l, low) -> IRQ 7
[ 22.236000] PCI: Setting latency timer of device 0000:00:1f.5 to 64
[ 22.280000] bcm43xx driver
[ 22.308000] b44: eth0: Link is up at 100 Mbps, full duplex.
[ 22.308000] b44: eth0: Flow control is off for TX and off for RX.
[ 23.056000] intel8x0_measure_ac97_clock: measured 55362 usecs
[ 23.056000] intel8x0: clocking to 48000
[ 23.056000] ACPI: PCI Interrupt 0000:02:02.0[A] -> Link [LNKC] -> GSI 11 (lev
el, low) -> IRQ 11

hardyn (arlenn) on 2007-04-22
Changed in linux-source-2.6.20:
status: Unconfirmed → Confirmed
Frank Niedermann (fbn) wrote :

I have the same issue, message about intel_rng at boot

Linux xpc 2.6.20-15-generic #2 SMP Sun Apr 15 07:36:31 UTC 2007 i686 GNU/Linux

hardyn (arlenn) on 2007-04-29
description: updated
Tonatiuh (huitanot) wrote :

The same "Intel_rng Fwh not detected" in a Dell Inspiron 6400, also shows "Kinit: no resume image, doing normal"
After 2 min it boots and all works properly.

Guillaume Martres (smarter) wrote :

The "Intel_rng" message seems to be normal according to: http://www.linuxquestions.org/questions/showthread.php?t=546360

Tonatiuh (huitanot) wrote :

So if this:
"It simply means you do not have the hardware for using Intel’s hardware-based “true” random number generator (specifically a firmware hub no longer in production). So just stop the said module from being loaded on boot (instructions vary depending on distro). If you really want a tRNG in chips being currently produced, check out VIA’s C series and Eden series processors (whose corresponding chipsets come with a random number generator). I’m sure there are also add-in cards available somewhere."
Is true my wireless is no anymore in production? and thas why I have to wait 2 min for boot?
PRO/Wireless 3945ABG Network Connection

I've also this message and it doesn't cause me trouble. I suspect this
message is unrelated with your problem.

2007/5/10, Huitanot <email address hidden>:
> So if this:
> "It simply means you do not have the hardware for using Intel's hardware-based "true" random number generator (specifically a firmware hub no longer in production). So just stop the said module from being loaded on boot (instructions vary depending on distro). If you really want a tRNG in chips being currently produced, check out VIA's C series and Eden series processors (whose corresponding chipsets come with a random number generator). I'm sure there are also add-in cards available somewhere."
> Is true my wireless is no anymore in production? and thas why I have to wait 2 min for boot?
> PRO/Wireless 3945ABG Network Connection
>
> ** Attachment added: "screanshot"
> http://librarian.launchpad.net/7598805/Wireless.png
>
> --
> intel_rng: FWH not detected
> https://bugs.launchpad.net/bugs/102982
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Tonatiuh (huitanot) wrote :

I don't know what happens, I didn't anything to solve it, but now it boot normally. So is not a bug for me any more.

Jahmon (jahmonspam-forum) wrote :

Same problem here. Kubuntu feisty running on 2.6.20-15-generic

It doesn't seem to affect the system but an error still isn't normal

Corbusier (hoheszeh) wrote :

Same Problem on a Vaio VGN-FS515B with Feisty and 2.6.20-16-generic kernel:

relevant part from dmesg output:

[ 24.440000] intel_rng: FWH not detected
[ 24.580000] input: PS/2 Mouse as /class/input/input3
[ 24.600000] input: AlpsPS/2 ALPS GlidePoint as /class/input/input4
[ 24.684000] ipw2200: Intel(R) PRO/Wireless 2200/2915 Network Driver, 1.2.0kmprq
[ 24.684000] ipw2200: Copyright(c) 2003-2006 Intel Corporation
[ 24.684000] ACPI: PCI Interrupt 0000:06:04.0[A] -> GSI 22 (level, low) -> IRQ 21
[ 24.684000] ipw2200: Detected Intel PRO/Wireless 2200BG Network Connection
[ 24.840000] iTCO_vendor_support: vendor-support=0
[ 25.040000] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.01 (11-Nov-2006)
[ 25.040000] iTCO_wdt: failed to reset NO_REBOOT flag, reboot disabled by hardware
[ 25.040000] iTCO_wdt: No card detected

Causes boot delay up to a minute.

wolfcry (mikaelsamuelsen) wrote :

I have the same problem, but I don't get the time-delay during booting. My computer lockes completely after Ubuntu has started and nothing seemes to help. I even tried to leave it on overnight to see if it would 'heale' it, but no...

I get the following error during boot: Loading hardware drives: 147.475105 intel_rng FWH not detected
I've also had 144.366098 in the same text a couple of times with the same result.

I have a Dell Dimension 2400 computer with a Intel Celeron 2,6 GHz CPU and 1Gb RAM.

tasadar_f (tasadarf) wrote :

Same problem with acer aspire 5634

saul_2110 (saul-2110) wrote :

Same problem on a Acer Aspire 3620 (3624WCXi).
I tried adding "intel_rng" to /etc/modprobe.d/blacklist and the message doesn't appear anymore.

Changed in linux-source-2.6.20:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
MasterHalo (kromlech) wrote :

Same problem on my Lenovo Thinkpad T60 (UT063SG), the system works rather fine but the error is coupled with an other error saying "[ 19.060000] intel_rng: FWH not detected" and a very long "Configuring network interfaces".

Michael Stempin (mstempin) wrote :

Same on my Gutsy system since one of the latest updates (after Tribe 4 I'd guess)

This is on a Asus M2400N Centrino 1,5 GHz.

Ferran Rius (frius64) wrote :

I confirm the same problem in Gutsy, with kernel 2.6.22-9-generic, in a Sony Vaio VGN-FS415B.
It just gives me a delay at boot, the graphic boot image disappears and it continues normally in console mode. Afterwards, the system looks to work rather smoothly.

Ferran Rius (frius64) on 2007-08-19
Changed in linux-source-2.6.22:
status: New → Confirmed
jdm64 (jdm64) wrote :

I've been having the same error message, and my Intel IPW3945 Wireless adapter would be extremely hard to get working. I would have to modprobe and other manual things, and still it wouldn't work.

I'm using a custom 2.6.23-rc3 git kernel (kernel.org). The module (ipw3945) would load, and so would the regulatory daemon (ipw3945d). It would even show what wireless connections there are, but would never be able to connect to them.

It seems like the message: "intel_rng: FWH not detected" is related to the non-working wireless because on the default ubuntu kernel (2.6.20) it doesn't give that error and wireless works perfectly! "Intel_rng is the Intel hardware Random Number Generator. FWH is the FirmWare Hub through which the RNG is accessed."

I looked at my kernel config and found out that I have build intel_rng directly into the kernel, not as a module! I'm recompiling right now and will see if that fixes the problem. Compile as a module or not at all, unless you are 100% sure your computer has a Intel_RNG!

intel_rng is found at:
-> Device Drivers
    -> Character devices
        -> Hardware Random Number Generator Core support (HW_RANDOM [=y])
            -> Intel HW Random Number Generator support (HW_RANDOM_INTEL [=m])

jdm64 (jdm64) wrote :

I compiled "intel_rng" as a module, but still get the error message and still having trouble getting wireless to work. I have to run this script after I'm logged-in to connect to a network, else it only shows connections but not able to connect:

sudo su
modprobe -r ipw3945
killall ipw3945d
/sbin/ipw3945d-stop
modprobe -i ipw3945
/sbin/ipw3945d-start

When I do that I get these lines in kern.log: and it finally connects

Aug 21 14:52:00 dell kernel: ACPI: PCI interrupt for device 0000:0b:00.0 disabled
Aug 21 14:52:00 dell kernel: ieee80211_crypt: unregistered algorithm 'NULL'
Aug 21 14:52:00 dell kernel: ieee80211_crypt: registered algorithm 'NULL'
Aug 21 14:52:00 dell kernel: ieee80211: 802.11 data/management/control stack, git-1.1.13
Aug 21 14:52:00 dell kernel: ieee80211: Copyright (C) 2004-2005 Intel Corporation <email address hidden>
Aug 21 14:52:00 dell kernel: ipw3945: Intel(R) PRO/Wireless 3945 Network Connection driver for Linux, 1.2.2d
Aug 21 14:52:00 dell kernel: ipw3945: Copyright(c) 2003-2006 Intel Corporation
Aug 21 14:52:00 dell kernel: ACPI: PCI Interrupt 0000:0b:00.0[A] -> GSI 16 (level, low) -> IRQ 16
Aug 21 14:52:00 dell kernel: PCI: Setting latency timer of device 0000:0b:00.0 to 64
Aug 21 14:52:00 dell kernel: ipw3945: Detected Intel PRO/Wireless 3945ABG Network Connection
Aug 21 14:52:02 dell kernel: ipw3945: Detected geography ABG (11 802.11bg channels, 13 802.11a channels)
Aug 21 14:52:02 dell kernel: ADDRCONF(NETDEV_UP): eth1: link is not ready
Aug 21 14:52:04 dell kernel: ADDRCONF(NETDEV_CHANGE): eth1: link becomes ready

tayirvadai (tayirvadai-vikram) wrote :

i use a HP compaq nc 6230. it has Intel(R) PRO/Wireless 2200BG

it was working well for the past 1 month. recently there were glitches and the system hanged. i had to restart the system and it went fine. For the past 2 days my wireless is detected but not started.
here is the part of dmesg.

[ 22.716000] ipw2200: Intel(R) PRO/Wireless 2200/2915 Network Driver, 1.2.0kmprq
[ 22.716000] ipw2200: Copyright(c) 2003-2006 Intel Corporation
[ 22.876000] ipw2200: Detected Intel PRO/Wireless 2200BG Network Connection
[ 24.060000] ipw2200: Detected geography ZZR (14 802.11bg channels, 0 802.11a channels)
[ 30.060000] ipw2200: Failed to send SCAN_ABORT: Command timed out.
[ 31.068000] ipw2200: Failed to send CARD_DISABLE: Command timed out.
[ 31.584000] ipw2200: device failed to boot initial fw image
[ 31.584000] ipw2200: Unable to load firmware: -62
[ 31.584000] ipw2200: Failed to up device

[ 17.367242] 00:03: SMCf010 not responding at SIR 0x3e8, FIR 0x100; auto-configuring
[ 17.370158] 00:03: responds at SIR 0x3e8, FIR 0x100
[ 23.560000] smsc_superio_flat(): fir: 0x100, sir: 0x3e8, dma: 01, irq: 5, mode: 0x0e
[ 23.560000] IrCC version 2.0, firport 0x100, sirport 0x3e8 dma=1, irq=5
[ 29.156000] IBM TrackPoint firmware: 0x12, buttons: 0/0
[ 31.584000] ipw2200: Unable to load firmware: -62

i am not sure if my device is gone or wat happened. please help me as i dont have any other OS with me(Ubuntu maniac). Also how will i find if my device is working or not?? :-(. i use Gutsy Gibbon.

Aníbal Deboni Neto (adneto) wrote :

I'm getting the same problem, and I need to reset until system boot, but I believe that this message doesn't represents the cause of system crash.
Why am I saying that? Because when i successfully boot, kernel reports the same error but it complete the boot process, look:

Aug 28 16:02:27 ubuntu kernel: [ 35.733449] intel_rng: FWH not detected
Aug 28 16:02:27 ubuntu kernel: [ 35.753768] iTCO_vendor_support: vendor-support=0
Aug 28 16:02:27 ubuntu kernel: [ 35.754849] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.01 (11-Nov-2006)
Aug 28 16:02:27 ubuntu kernel: [ 35.754946] iTCO_wdt: Found a ICH5 or ICH5R TCO device (Version=1, TCOBASE=0x0860)
Aug 28 16:02:27 ubuntu kernel: [ 35.754996] iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)

Well.. I'm not a kernel expert.. the "real" reason that makes the system crash is unknown to me, I'm just telling what I observe to help us to find a solution.

Ubuntu Fesity 7.04 running on a Desktop: Asus P5P-800se mobo

Henrik Nilsen Omma (henrik) wrote :

Closing Feisty task.

Changed in linux-source-2.6.20:
status: Confirmed → Won't Fix
Changed in linux-source-2.6.22:
importance: Undecided → Low
Yiftos (gpmezines) wrote :

I have the same "intel_rng: FWH not detected" problem on my Compaq EVO N600c laptop.

geek_inn (ajmal82) wrote :

same unusual problem but i have Realtek clone ethernet card -infamous SILAN NIC card.
how can i solve this issue or is there solution in future?.which file needs to be edited also mine boot is very slow?

kalincho (saitove) wrote :

Can someone please explain how can I do this step by step:

ne simple solution to this problem is to put intel_rng - and eventually also iTCO_wdt - into the blacklist (/etc/modprobe.d/blacklist), but this disables both modules (and has not been personally tested). Another way is to edit the init file for the network (/etc/rcS.d/S40networking) and comment out the following the lines:

because something is wrong I can not do it right. I am using 7.10 Kubuntu and Ubuntu. I have them both and the problem is the same. thak you very much

ubundominic (dominic-edmonds) wrote :

Dell Latitude D810 I experience a long delay and found intel_rng: FWH not detected in my dmesg too. Using Linux laptop 2.6.22-14-generic #1 SMP Sun Oct 14 23:05:12 GMT 2007 i686 GNU/Linux. Here is an excerpt from my dmesg:

[ 42.464000] intel_rng: FWH not detected
[ 42.852000] iTCO_vendor_support: vendor-support=0
[ 42.852000] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.01 (21-Jan-2007)
[ 42.852000] iTCO_wdt: Found a ICH6-M TCO device (Version=2, TCOBASE=0x1060)
[ 42.852000] iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)

scottvan (laylathedog) wrote :

I have a Compaq Presario X1000 running Gutsy (Ubuntu 2.6.22-14.46-generic), and here is my dmesg:

[ 125.413686] ipw2100: Detected Intel PRO/Wireless 2100 Network Connection
[ 125.937126] pccard: CardBus card inserted into slot 0
[ 125.937272] yenta EnE: chaning testregister 0xC9, 04 -> 04[ 126.039342] intel_rng: FWH not detected
[ 126.076813] iTCO_vendor_support: vendor-support=0
[ 126.078543] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.01 (21-Jan-2007)
[ 126.078635] iTCO_wdt: Found a ICH4-M TCO device (Version=1, TCOBASE=0x1060)
[ 126.078683] iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)

I tried the two workarounds listed by Andre (blacklist and S40networking), but they don't work, there is no change at startup.

SvanMariaWagner (wagners) wrote :

Hatte das selbe Problem:

Hab einfach in die blacklist den intel_rng eingetragen:

echo "blacklist intel_rng" >> /etc/modprobe.d/blacklist

und schon klappt alles wie ne eins.

Linitz (linytz) wrote :

The same Problem on Toshiba Satellite M40X (with ipw2200 wifi card integrated)

Changed in linux-source-2.6.22:
assignee: nobody → linytz
assignee: linytz → nobody

Same thing (intel_rng = FWH not detected) at Lenovo 3000 C100, 2.6.22-14-generic, gutsy.

It isn't first issue with gutsy. It seems that feisty has just worked better.

Hi All,

Hardy Heron Alpha2 is set to come out in just a few days (around Dec 20). We'd appreciate it you could try testing with the Alpha2 LiveCd and verify if this issue still exists. I'll be sure to update this report when Alpha2 is available. Thanks!

Changed in linux:
importance: Undecided → Unknown
status: New → Incomplete
scottvan (laylathedog) wrote :

I'll give it a shot. Thanks.

On Dec 17, 2007 11:01 AM, Leann Ogasawara <email address hidden> wrote:

> Hi All,
>
> Hardy Heron Alpha2 is set to come out in just a few days (around Dec
> 20). We'd appreciate it you could try testing with the Alpha2 LiveCd
> and verify if this issue still exists. I'll be sure to update this
> report when Alpha2 is available. Thanks!
>
> ** Also affects: linux (Ubuntu)
> Importance: Undecided
> Status: New
>
> ** Changed in: linux (Ubuntu)
> Importance: Undecided => Unknown
> Status: New => Incomplete
>
> --
> intel_rng: FWH not detected
> https://bugs.launchpad.net/bugs/102982
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Changed in linux-source-2.6.22:
assignee: nobody → ubuntu-kernel-team

Just adding a note that a new task against the actively developed kernel has been opened. Against linux-source-2.6.22 this report will be closed. Thanks!

Changed in linux-source-2.6.22:
status: Confirmed → Won't Fix

The problem still exists with Alpha2 (Xubuntu live cd). My Fujitsu-siemens laptop crashes most of the times on startup because of this. The blacklisting workaround that solved the problem on Feisty I couldn't try on Hardy Alpha2 because there are further problems with the i810 videodriver that makes installing impossible.

Blacklisting workaround works for Alpha2.

Thanks for testing Thomas. Per the kernel team's bug policy, can you please attach the following information for the newer Hardy Alpha2 kernel:

* uname -a > uname-a.log
* cat /proc/version_signature > version.log
* dmesg > dmesg.log
* sudo lspci -vvnn > lspci-vvnn.log

Please be sure to attach each file as a separate attachment. For more information regarding the kernel team bug policy, please refer to https://wiki.ubuntu.com/KernelTeamBugPolicies . Thanks again and we appreciate your help and feedback.

Sorry for the delay,
I have added the requested info.

PS
the above files have been taken on a system with the blacklisting workaround!

Nick B. (futurepilot) wrote :

I came across this error in my logs as well on Gutsy. I will attached the requested log files from Hardy Alpha 3

Nick B. (futurepilot) wrote :
Nick B. (futurepilot) wrote :
Nick B. (futurepilot) wrote :
Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Unknown → Low
status: Incomplete → Triaged
Francois Thirioux (ft73) wrote :

I confirm this bug on Hardy, 2.6.24-5, Toshiba U200.
I found that turning off the wifi switch solves the problem (at work I uses wired ethernet).
BUT when the switch is off during boot, I cannot turn it on with any effect after the boot...

Ola Lindberg (olalindberg) wrote :

Same / similar problem on my IBM Thinkpad T40 (with Cisco 11B). Running Flight 6 of the Hardy betas.

Delay about 3 min just after:
* Loading hardware drivers...
[33.035219] Intel_rng: FWH not detected

When booting from the live cd I get the following output around the same time as well:
modprobe: Warning: Error inserting padlock_qes(/lib/modules/2.6.24-11-generic/kernel/drivers/crypto/padlock_qes.ko): No such device
(not sure if it's related)

Götz Christ (g-christ) wrote :

I get the same error in Ubuntu Gutsy updated.

[ 45.033416] intel_rng: FWH not detected

But I don't have any long delay, maybe 3 seconds.

Steve Dee (mrdomino) wrote :

I've got the error followed by a minute-or-so delay.

Steve Dee (mrdomino) wrote :
Steve Dee (mrdomino) wrote :
Steve Dee (mrdomino) wrote :
Götz Christ (g-christ) wrote :

Sorry, I have forgot to attach the logs.

Götz Christ (g-christ) wrote :
Götz Christ (g-christ) wrote :
Götz Christ (g-christ) wrote :

Removing the 'linux-source-2.6.24' task since beginning with the Hardy development cycle the kernel source package naming convention changed to just 'linux'.

Changed in linux-source-2.6.24:
status: New → Invalid
fredyms (fredyms) wrote :

Hi,

Another duplicate Bug #205715, could you please add this to your list.

Thanks.

There are any prevision for the fix????

pinguino (pcboard) wrote :

Hi,

I can confirm this bug on a : Toshiba Satellite 2450-401

"intel_rng: FWH not detected"

but the laptop can boot without problems. I am using a PCMCIA wireless card to connect with I-Net.

pinguino (pcboard) wrote :
Download full text (40.1 KiB)

Hi,

Sorry, Ubuntu 8.04

messages output:

May 21 13:14:24 pinguino syslogd 1.5.0#1ubuntu1: restart.
May 21 13:14:24 pinguino kernel: Inspecting /boot/System.map-2.6.24.3
May 21 13:14:24 pinguino kernel: Loaded 25205 symbols from /boot/System.map-2.6.24.3.
May 21 13:14:24 pinguino kernel: Symbols match kernel version 2.6.24.
May 21 13:14:24 pinguino kernel: Loaded 14998 symbols from 78 modules.
May 21 13:14:24 pinguino kernel: [ 0.000000] Linux version 2.6.24.3 (root@pinguino) (gcc version 4.2.3 (Ubuntu 4.2.3-2ubuntu7)) #1 SMP Sun May 18 17:35:07 CEST 2008 (Ubuntu 2.6.24-16.30-generic)
May 21 13:14:24 pinguino kernel: [ 0.000000] BIOS-provided physical RAM map:
May 21 13:14:24 pinguino kernel: [ 0.000000] BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
May 21 13:14:24 pinguino kernel: [ 0.000000] BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
May 21 13:14:24 pinguino kernel: [ 0.000000] BIOS-e820: 00000000000e0000 - 00000000000eee00 (reserved)
May 21 13:14:24 pinguino kernel: [ 0.000000] BIOS-e820: 00000000000eee00 - 00000000000ef000 (ACPI NVS)
May 21 13:14:24 pinguino kernel: [ 0.000000] BIOS-e820: 00000000000ef000 - 0000000000100000 (reserved)
May 21 13:14:24 pinguino kernel: [ 0.000000] BIOS-e820: 0000000000100000 - 000000003ffd0000 (usable)
May 21 13:14:24 pinguino kernel: [ 0.000000] BIOS-e820: 000000003ffd0000 - 000000003ffe0000 (ACPI data)
May 21 13:14:24 pinguino kernel: [ 0.000000] BIOS-e820: 000000003ffe0000 - 0000000040000000 (reserved)
May 21 13:14:24 pinguino kernel: [ 0.000000] BIOS-e820: 00000000feda0000 - 00000000fedc0000 (reserved)
May 21 13:14:24 pinguino kernel: [ 0.000000] BIOS-e820: 00000000ffb80000 - 00000000ffc00000 (reserved)
May 21 13:14:24 pinguino kernel: [ 0.000000] BIOS-e820: 00000000fff00000 - 0000000100000000 (reserved)
May 21 13:14:24 pinguino kernel: [ 0.000000] 127MB HIGHMEM available.
May 21 13:14:24 pinguino kernel: [ 0.000000] 896MB LOWMEM available.
May 21 13:14:24 pinguino kernel: [ 0.000000] Zone PFN ranges:
May 21 13:14:24 pinguino kernel: [ 0.000000] DMA 0 -> 4096
May 21 13:14:24 pinguino kernel: [ 0.000000] Normal 4096 -> 229376
May 21 13:14:24 pinguino kernel: [ 0.000000] HighMem 229376 -> 262096
May 21 13:14:24 pinguino kernel: [ 0.000000] Movable zone start PFN for each node
May 21 13:14:24 pinguino kernel: [ 0.000000] early_node_map[1] active PFN ranges
May 21 13:14:24 pinguino kernel: [ 0.000000] 0: 0 -> 262096
May 21 13:14:24 pinguino kernel: [ 0.000000] DMI 2.3 present.
May 21 13:14:24 pinguino kernel: [ 0.000000] ACPI: RSDP signature @ 0xC00F0180 checksum 0
May 21 13:14:24 pinguino kernel: [ 0.000000] ACPI: RSDP 000F0180, 0014 (r0 TOSHIB)
May 21 13:14:24 pinguino kernel: [ 0.000000] ACPI: RSDT 3FFD0000, 0030 (r1 TOSHIB 750 970814 TASM 4010000)
May 21 13:14:24 pinguino kernel: [ 0.000000] ACPI: FACP 3FFD0058, 0084 (r2 TOSHIB 750 970814 TASM 4010000)
May 21 13:14:24 pinguino kernel: [ 0.000000] ACPI: DSDT 3FFD0110, 575A (r1 TOSHIB 2450 20041220 MSFT 100000E)
May 21 13:14:24 pinguino kernel: [ 0.000000] ACPI: FAC...

Bhavani Shankar (bhavi) wrote :

Same problem here as described in the bug

https://answers.edge.launchpad.net/ubuntu/+question/34708

Regards

noravanq (sevak-m) wrote :

I get the exact same message.

I found the following explanation

http://www.linuxquestions.org/questions/linux-hardware-18/intelrng-fwh-not-detected-546360/

Brian Kemp (brian-kemp) wrote :

I have an idea on how to solve this problem. I tested it in 7.10, but it should work for others. I have an older Dell Machine (don't remember the model number off the top of my head) but I was getting this error message.

 This *should* make this module load correctly:

As root, modify the /etc/modprobe.d/options file:
> sudo nano /etc/modprobe.d/options

Add this line:
option intel_rng no_fwh_detect=1

Save the file. (In nano, Ctrl-O, Enter to save. Ctrl-X to quit.)

To get this to work without a reboot, remove and reinsert the module:
sudo modprobe -r intel_rng
sudo modprobe intel_rng

Subsequent reboots should be fine.

Check your system logs to make sure that the chip is detected.

fredyms (fredyms) wrote :

Hi

Unfortunately it has not worked for me, thank you for the help, until they
find a solution we continue with version 2.6.22-14. Today the new release
is 2.6.24-19.

I hope that they find a solution that could deploy as soon as possible.

Thanks.

On Mon, Aug 18, 2008 at 3:58 PM, Brian Kemp <email address hidden> wrote:

> I have an idea on how to solve this problem. I tested it in 7.10, but it
> should work for others. I have an older Dell Machine (don't remember the
> model number off the top of my head) but I was getting this error
> message.
>
> This *should* make this module load correctly:
>
> As root, modify the /etc/modprobe.d/options file:
> > sudo nano /etc/modprobe.d/options
>
> Add this line:
> option intel_rng no_fwh_detect=1
>
> Save the file. (In nano, Ctrl-O, Enter to save. Ctrl-X to quit.)
>
> To get this to work without a reboot, remove and reinsert the module:
> sudo modprobe -r intel_rng
> sudo modprobe intel_rng
>
> Subsequent reboots should be fine.
>
> Check your system logs to make sure that the chip is detected.
>
> --
> intel_rng: FWH not detected
> https://bugs.launchpad.net/bugs/102982
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu: Invalid
> Status in "linux" source package in Ubuntu: Triaged
> Status in "linux-source-2.6.20" source package in Ubuntu: Won't Fix
> Status in "linux-source-2.6.22" source package in Ubuntu: Won't Fix
>
> Bug description:
> Feisty beta w/ latest updates, 'intel_rng: FWH not detected' error on
> boot, problem is coupled with extremely long delay while 'configuring
> network interfaces' 1-2 min.
> i dont know if the problems are related.
>
> Asus Z71vp, PM, intel 2915 wireless, marvell yukon
>
> ** edit **
>
> 04/27/07
> same problem persists with feisty released
>
>

I can confirm I have the same error at start up, but it doesn't seem to effect my system, so no biggie:

[26.069481] Intel_rng: FWH not detected

(Dell Latitude D610)

A minor error in Brian Kemp's entry:

option intel_rng no_fwh_detect=1
should be
options intel_rng no_fwh_detect=1

(optionS with an S in the end).

However, this solution does NOT fix the bug on my system.

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

fredyms (fredyms) wrote :

I have checked the Alpha 4, via LiveCD in the support link
http://www.ubuntu.com/testing

Ubuntu 8.10 "Intrepid Ibex" Development Releases

Ubuntu 8.10 "Intrepid Ibex" is the current development release of Ubuntu.

   - Alpha 4 <http://www.ubuntu.com/testing/intrepid/alpha4> - Released
   August 14th, 2008

I'm very glad to say this newer 2.6.27 kernel (include in Alpha 4) resolves
the bug reported here. I hope that Alpha 5 works the same.

Thanks everybody for the help.

On Thu, Aug 28, 2008 at 8:45 PM, Leann Ogasawara <email address hidden> wrote:

> The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the
> upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would
> appreciate it if you could please test this newer 2.6.27 Ubuntu kernel.
> There are one of two ways you should be able to test:
>
> 1) If you are comfortable installing packages on your own, the linux-
> image-2.6.27-* package is currently available for you to install and
> test.
>
> --or--
>
> 2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer
> 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4.
> Please watch http://www.ubuntu.com/testing for Alpha5 to be announced.
> You should then be able to test via a LiveCD.
>
> Please let us know immediately if this newer 2.6.27 kernel resolves the
> bug reported here or if the issue remains. More importantly, please
> open a new bug report for each new bug/regression introduced by the
> 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please
> specifically note if the issue does or does not appear in the 2.6.26
> kernel. Thanks again, we really appreicate your help and feedback.
>
> ** Tags added: cft-2.6.27
>
> --
> intel_rng: FWH not detected
> https://bugs.launchpad.net/bugs/102982
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu: Invalid
> Status in "linux" source package in Ubuntu: Triaged
> Status in "linux-source-2.6.20" source package in Ubuntu: Won't Fix
> Status in "linux-source-2.6.22" source package in Ubuntu: Won't Fix
>
> Bug description:
> Feisty beta w/ latest updates, 'intel_rng: FWH not detected' error on
> boot, problem is coupled with extremely long delay while 'configuring
> network interfaces' 1-2 min.
> i dont know if the problems are related.
>
> Asus Z71vp, PM, intel 2915 wireless, marvell yukon
>
> ** edit **
>
> 04/27/07
> same problem persists with feisty released
>
>

"I'm very glad to say this newer 2.6.27 kernel (include in Alpha 4) resolves
the bug reported here. I hope that Alpha 5 works the same."

Well, I'm confused.

According to: http://www.ubuntu.com/testing/intrepid/alpha4#Linux%20kernel%202.6.26

"Alpha 4 includes the 2.6.26-5.15 kernel based on version 2.6.26.2. "

What is correct?

Hi RipRapRob,

Yes, Alpha4 was released with the 2.6.26 based kernel. You can always check which version of the kernel you have running by doing 'uname -a' in a terminal. Assuming fredyms did test with an Alpha4 LiveCD, the 2.6.26 kernel would have been tested. But that's a good sign as we'd anticipate that the 2.6.27 wiht Alpha5 shouldn't regress. If you would care to test as well now that Alpha5 is out (and contains the 2.6.27 kernel) that would be great. Please let us know your results. Thanks.

Fredk (frederick-grace-gospel) wrote :

I have the same problem using newly installed Ubuntu on an SD card with Eee PC. It appeared after a large update. Subsequently it failed to boot to the card and when eventaully i persuaded it to do so - the wireless connectio had disappeared - so I cannot download an upgrade to the kernel.

(In any comments please regard me as n extreme novice with Linu/Unix/Ubuntu.)
Thank you
Fredk

WeEzE (weezelmaennchen) wrote :

same problem
ubuntu 8.04
intel 3GhZ chipset i386, or so^^

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

attila82 (fra-rag-1) wrote :

same problem
ubuntu 8.04.1
dell mini 9 - ssd HD 8 gb - intel atom

attila82 (fra-rag-1) wrote :

no one of the two methods mentioned above (at the beginning) works in my case

careta (eusou15) wrote :

Hey everybody, I got the same problem. Here is how i solved it:

sudo gedit /etc/modprobe.d/intel-rng

add the line:
options intel-rng no_fwh_detect=1

This differs from the post by Brian Kemp (intel-rng instead of intel_rng).

This solution works perfectly.

Jahmon (jahmonspam-forum) wrote :

Still affecting me On ubuntu Karmic using kernel 2.6.31-14-generic

TheSnowSnake (dontait) wrote :

What I found was the problem never effected the system until I cloned the IDE 120 gig with a new 500 Gig sata drive.

I never even had the text screen displayed before,....And never had a lag in boot.

Mörgæs (moergaes) wrote :

Closing due to age.
If a similar problem appears in 13.04 please open a new report.

Changed in linux (Ubuntu):
status: Triaged → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions